package com.sfnt.ldk.model;

import java.util.List;

public class Features {
    private int count;
    private List<FeatureInfo> feature;

    public int getCount()
    {
    	return count;
    }
    public void setCount(int count)
    {
    	this.count = count;
    }
    
    public List<FeatureInfo> getFeature()
    {
    	return feature;
    }
    public void setFeature(List<FeatureInfo> feature)
    {
    	this.feature = feature;
    }
    
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("{\n");
		sb.append("\"feature\": [");
		for(int i = 0; i < feature.size(); i++)
		{
			sb.append(toIndentedString(feature.get(i)));
			if(i != feature.size() -1 )
				sb.append(",\n");
		}
		sb.append("],\n");
        sb.append("\"count\":").append(feature.size()).append("\n");
		sb.append("}");
		return sb.toString();
	}

	/**
	 * Convert the given object to string with each line indented by 4 spaces
	 * (except the first line).
	 */
	private String toIndentedString(java.lang.Object o) {
		if (o == null) {
			return "null";
		}
		return o.toString().replace("\n", "\n    ");
	}
}
